%define major   0
%define libname %mklibname synfigapp %{major}
%define develname %mklibname synfigapp -d

Name:           synfigstudio
Version:        1.2.2
Release:        %mkrel 2
Summary:        Vector-based 2D animation GUI
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://www.synfig.org
Source0:        http://downloads.sf.net/synfig/%{name}-%{version}.tar.gz
Patch0:         synfigstudio-1.1.10-cflags.patch

BuildRequires:  pkgconfig(ETL) >= %{version}
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(sigc++-2.0)
BuildRequires:  pkgconfig(synfig) >= %{version}
BuildRequires:  synfig
BuildRequires:  intltool
Requires:       synfig >= %{version}

%description
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the graphical user interface for synfig.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the shared library provided by synfigstudio.

%package -n %{develname}
Summary:        Development headers and libraries for %{name}
Group:          Development/C++
Provides:       synfigapp-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
synfig is a vector based 2D animation renderer. It is designed to be
capable of producing feature-film quality animation.

This package contains the development files for the shared library
provided by synfigstudio.

%prep
%autosetup -p1

%build
autoreconf -fi
intltoolize --copy --force

%configure \
    --disable-static \
    --disable-rpath \
    --disable-update-mimedb
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_bindir}/%{name}
%{_datadir}/synfig/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/synfig_icon.*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/pixmaps/%{name}/

%files -n %{libname}
%{_libdir}/libsynfigapp.so.%{major}
%{_libdir}/libsynfigapp.so.%{major}.*

%files -n %{develname}
%{_libdir}/libsynfigapp.so
%{_includedir}/synfigapp-0.0/


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1519888
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 22 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1323908
- new version: 1.2.2

* Sun Sep 23 2018 umeabot <umeabot> 1.2.1-2.mga7
+ Revision: 1301282
- Mageia 7 Mass Rebuild

* Fri Sep 22 2017 cjw <cjw> 1.2.1-1.mga7
+ Revision: 1157000
- 1.2.1
- add patch from fedora to fix debug packages

* Wed Jan 11 2017 akien <akien> 1.2.0-1.mga6
+ Revision: 1081130
- Version 1.2.0

* Tue Jan 12 2016 akien <akien> 1.0.2-1.mga6
+ Revision: 922243
- Version 1.0.2

* Wed Aug 26 2015 cjw <cjw> 1.0.1-2.mga6
+ Revision: 869438
- patch1: fix build with libsigc++ 2.5.2
- rebuild with gcc 5

* Fri Jul 31 2015 wally <wally> 1.0.1-1.mga6
+ Revision: 860042
- new version 1.0.1
- drop unneeded patches

* Sat Jan 10 2015 alexl <alexl> 0.64.1-4.mga5
+ Revision: 809660
- added GenericName in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 0.64.1-3.mga5
+ Revision: 738851
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.64.1-2.mga5
+ Revision: 689657
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- replace with mageia

* Sun Feb 16 2014 dams <dams> 0.64.1-1.mga5
+ Revision: 592501
- new version 0.64.1

* Sat Oct 19 2013 umeabot <umeabot> 0.64.0-2.mga4
+ Revision: 523992
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 0.64.0-1.mga4
+ Revision: 429267
- update file list
- br intltool
- new version 0.64.0

* Mon Jan 14 2013 umeabot <umeabot> 0.63.05-3.mga3
+ Revision: 383919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Dec 08 2012 malo <malo> 0.63.05-2.mga3
+ Revision: 328928
- update RPM group

* Fri Jun 08 2012 fwang <fwang> 0.63.05-1.mga3
+ Revision: 257352
- new verison 0.63.05

* Mon Apr 02 2012 sander85 <sander85> 0.63.02-2.mga2
+ Revision: 227884
- clean buildrequires
- clean spec
- fix startup crash

* Sun Oct 09 2011 wally <wally> 0.63.02-1.mga2
+ Revision: 153481
- new version 0.63.02
- new version 0.63.00
- disable static build
- imported package synfigstudio


* Thu Jun 16 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-2mdv2011.0
+ Revision: 685623
- require synfig

* Tue Apr 19 2011 Jani Välimaa <wally@mandriva.org> 0.62.02-1
+ Revision: 655894
- new version 0.62.02
- rediff patch
- drop support for old mdv releases

* Wed Dec 08 2010 Funda Wang <fwang@mandriva.org> 0.62.00-2mdv2011.0
+ Revision: 615914
- fix build with gcc 4.5

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.62.00-1mdv2010.1
+ Revision: 492195
- New version 0.62.00

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-4mdv2009.1
+ Revision: 298096
- bump release for backports to get through bs
- move the icon fix before desktop-file-install gets run...

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-3mdv2009.1
+ Revision: 298074
- fix icon name not to include extension in .desktop file

* Tue Oct 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-2mdv2009.1
+ Revision: 297999
- add GTK and CrossDesktop categories to menu entry

* Mon Oct 27 2008 Adam Williamson <awilliamson@mandriva.org> 0.61.09-1mdv2009.1
+ Revision: 297528
- import synfigstudio


